Subject: Re: bug#53629: 27.1: add option to change face `mode-line-buffer-id` when mode-line is inactive

From: Juri Linkov <[email-masked]>
Date: Wed, 02 Feb 2022 22:00:41 +0200

>> I'm not sure how I can customize the way I want with
>> `mode-line-buffer-identification` yet, so maybe that's why having another face to
>> customize the inactive state still makes sense. I also found this discussion:
>> https://emacs.stackexchange.com/questions/10033/change-mode-line-buffer-id-face-for-inactive-windows
>> - but I don't think there's a solution there.
>
> No, there doesn't seem to be.  I really thought there was a way to get
> at whether the window we're making the buffer line for is selected or
> not, but there doesn't seem to be?  Anybody know?

tab-line.el uses such trick:

         (face (if (eq buffer (window-buffer))
                   (if (eq (selected-window) (old-selected-window))
                       'tab-line-tab-current
                     'tab-line-tab)
                 'tab-line-tab-inactive))